Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07151 Gameplay Trivial Always Nov 13, 2018, 19:55 Nov 24, 2018, 15:36
Tester john_iv View Status Public Platform MAME (Self-compiled)
Assigned To AJR Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver asteroid.cpp
Version 0.203 Fixed in Version 0.204 Build 64-bit
Summary 07151: astdelux and clones: [possible] On launch a series of FFFFFF display multiple times in high-score position 1.
Description When starting astdelux for the first time or doing a hard reset w/ F3 there are a series of Fs that appear drawn multiple times in the high score #1 position. I don't recall this happening in older builds.

MAME v0.203 (mame0203-287-g748f6ed903)

Could be more accurate emulation behavior with a recent change I suppose, but not sure.
Steps To Reproduce Launch astdelux
Observe FFFFFs drawing in the high score areas before reverting to regular attract mode.
Additional Information
Flags Possible
Regression Version 0.200
Affected Sets / Systems astdelux and clones
Attached Files
jpg file icon 2.jpg (260,657 bytes) Nov 13, 2018, 19:55 Uploaded by john_iv
john_iv
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.15773
MetalGod
Senior Tester
Nov 13, 2018, 20:25
Regression is mame 0.200
User avatar
No.15774
Tafoid
Administrator
Nov 13, 2018, 20:32
https://github.com/mamedev/mame/commit/2d897bec09c770a57f39bff70131ccf8e87d1a2b
* Eliminate "Atari VG EAROM" in favor of newer ER2055 device
On June 27, 2018

That brings regression version to MAME 0.200
User avatar
No.15781
john_iv
Senior Tester
Nov 15, 2018, 06:57
My friend worked on an astdelux board a few months ago, says he thinks he remembers seeing the FFFFF showing, normally you wouldn't see this as it takes the monitor about 5 seconds to warm up enough to display a picture. The FFFFF also shows up in an FPGA version of Asteroids Deluxe. So maybe this is indeed an artifact of more accurate emulation with the addition of the ER2055.
User avatar
No.15833
AJR
Developer
Nov 24, 2018, 15:33
This is probably accurate behavior if the ER2055 is unprogrammed or contains invalid data, as the code doesn't check the integrity of the EAROM high score data before displaying it on screen. The fix for MAME is easy, though: just default the EAROM data to the zero fill the old device provided.